PUT api/tradespeople/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
UpdateTradespersonProfileRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| BusinessName | string |
None. |
|
| BusinessRegistrationNumber | string |
None. |
|
| Description | string |
None. |
|
| YearsExperience | integer |
None. |
|
| ServiceRadiusKm | decimal number |
None. |
|
| EmergencyAvailable | boolean |
None. |
|
| CallOutFee | decimal number |
None. |
|
| MinimumJobFee | decimal number |
None. |
|
| LanguagesSpoken | string |
None. |
|
| OperatingHoursJson | string |
None. |
|
| PaymentMethods | string |
None. |
|
| WorkmanshipGuarantee | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"businessName": "sample string 1",
"businessRegistrationNumber": "sample string 2",
"description": "sample string 3",
"yearsExperience": 4,
"serviceRadiusKm": 5.1,
"emergencyAvailable": true,
"callOutFee": 7.0,
"minimumJobFee": 8.0,
"languagesSpoken": "sample string 9",
"operatingHoursJson": "sample string 10",
"paymentMethods": "sample string 11",
"workmanshipGuarantee": "sample string 12"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.